Subject: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Feb 2014 17:57:53 +0200

> From: Darren Hoo <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sun, 02 Feb 2014 13:28:54 +0800
> 
> Paul Eggert <[email-masked]> writes:
> 
> >
> > Continuing on my guess, which may well be a wild goose chase, can you
> > use DTrace to see what system calls the offending Emacs is executing?
> 
> I earlier used Xcode's instrument which I believe just interprets the
> output from Dtrace/Dtruss. This argb32_image_mark_rgb32 low level call
> is the top one which is in turn called by x_write_glyphs up on the call
> tree. But as Eli has pointed out and I quote:
> 
>    Given that dragging the divider involves redrawing every line in
>    every window, these times are entirely reasonable.

I was talking only about the times spent inside redisplay_internal,
update_window, and update_window_line.  The overall redrawing
behavior, as seen in the screencast, does not seem reasonable to me.